AddToolWithoutNotification("Chisel")
AddToolWithoutNotification("Compass")
AddToolWithoutNotification("Pencil")
AddToolWithoutNotification("Pincer")
AddToolWithoutNotification("Scalpel")
AddToolWithoutNotification("Wart")

function OnToolBoxLeft(selectedObject, zoomId)
-- Warp 55
	if (zoomId == "W55_03" or zoomId == "W55_04" or zoomId == "W55_00") and DustW55 and BloodW55 and MapW55 then
		DRESS_CESAR = true
		DRESS_MADELEINE = false
		DRESS_MONK = false		
		LookAt(177,007)
		StartAnimationPart("eec1",30,60,-1,false)
		Talked_Anime55 = true
		SetDiaryPage(7, "Page7_02")
		DrawText("Ch1677","Ch1677.ogg",3)
		DrawText("Ce1678","Ce1678.ogg",1)
		DrawText("Ce1679","Ce1679.ogg",1)
		DrawText("Ch1680","Ch1680.ogg",3)
		DrawText("Ce1681","Ce1681.ogg",1)	
		DrawText("Ce1682","Ce1682.ogg",1)
		DrawText("Ch1683","Ch1683.ogg",3)
		DrawText("Ce1684","Ce1684.ogg",1)
		DrawText("Ch1685","Ch1685.ogg",3)
		DrawText("Ce1686","Ce1686.ogg",1)
		DrawText("Ch1687","Ch1687.ogg",3)
		DrawText("Ce1688","Ce1688.ogg",1)	
		DrawText("Ch1689","Ch1689.ogg",3)
		DrawText("Ch1690","Ch1690.ogg",3)

-- Warp 71
	elseif (zoomId == "W71_01" or zoomId == "W71_02" or zoomId == "W71_03" or zoomId == "W71_04" or zoomId == "W71_05"
	or zoomId == "W71_06" or zoomId == "W71_07" or zoomId == "W71_08") and DrawerThemeW71 and not ThemeW71 then
		StartAnimationPart("hec1",1,2,-1,false)
	elseif (zoomId == "W71_01" or zoomId == "W71_02" or zoomId == "W71_03" or zoomId == "W71_04" or zoomId == "W71_05"
	or zoomId == "W71_06" or zoomId == "W71_07" or zoomId == "W71_08") and ThemeW71 then
		AnimationSetToEnd("hec1",false)
	elseif (zoomId == "W71_01" or zoomId == "W71_02" or zoomId == "W71_03" or zoomId == "W71_04" or zoomId == "W71_05"
	or zoomId == "W71_06" or zoomId == "W71_07" or zoomId == "W71_08") and LeatherCutW71 and not QuatrainFoundW71 then
		StartAnimationPart("hkc1",1,2,-1,false)
	elseif (zoomId == "W71_01" or zoomId == "W71_02" or zoomId == "W71_03" or zoomId == "W71_04" or zoomId == "W71_05"
	or zoomId == "W71_06" or zoomId == "W71_07" or zoomId == "W71_08") and QuatrainFoundW71 then
		AnimationSetToEnd("hkc1")
	elseif zoomId == "W71_08" then
		AnimationSetToStart("hdc1",true)
		if not O_papier_philibert_0071 then
			DrawText("Ma2727","Ma2727.ogg",0)
		elseif O_papier_philibert_0071 then
			if DRESS_CESAR then
				DrawText("Ch2447","Ch2447.ogg",3) -- César, qu'est-ce que tu fais là ?!
			elseif DRESS_MADELEINE then
				DrawText("Ch2455","Ch2455.ogg",3) -- Madeleine !
			end
		end

-- Warp 69
	elseif zoomId == "W69_01" and FootW69 then
		SetMarker("zoomPied", -1, 0)
	elseif zoomId == "W69_04" and FingerW69 then
		SetMarker("zoomMain", -1, 0)
	elseif zoomId == "W69_03" then
		StartAnimationPart("gfc1",6,7,-1,false)
	elseif zoomId == "W69_04" and not FingerW69 then
		StartAnimationPart("gfc1",6,7,-1,false)
	elseif zoomId == "W69_00" and FaceW69 then
		SetMarker("zoomTete", -1, 0)
	elseif zoomId == "W69_04" then
		StartAnimationPart("gfc1",6,7,-1,false)
		
-- Warp 65
	elseif zoomId == "W65_00" and LetterW65 and not FaceW65 then
		SetMarker("zoomLetter", -1, 0)
	elseif zoomId == "W65_01" and FaceW65 and not LetterW65 then
		SetMarker("zoomConstance", -1, 0)
	elseif (zoomId == "W65_00" or zoomId == "W65_01") and FaceW65 and LetterW65 then
		SetMarker("zoomLetter", -1, 0)
		SetMarker("zoomConstance", -1, 0)
		GUARD_CAPTURED_NOSTRADAMUS = true
		DrawText("G12900","G12900.ogg",6) -- Mademoiselle Constance !
		DrawText("Ma2901","Ma2901.ogg",0) -- Je ferais mieux de ne pas rester.

-- Warp 72
	elseif zoomId == "W72_01" and WoundW72 and FootPrintW72 and LetterW72 then
		SetMarker("LETTER_CONSTANCE", -1, 0)
	end
end

function OnToolObjectCombined(selectedObject, zoomId, buttonName)
	PrintDebugMessage("OnToolObjectCombined("..selectedObject..", "..zoomId..", "..buttonName..")\n")
	

	
--------------------------------------------------------------------------------------------- Warp 17	
	if (selectedObject == "Scalpel" and zoomId == "W17_00" and buttonName == "button0") then
		ShowToolBox("W17_01")
		PlaySound("Sounds/SFX/N_PousserTigeMetal.ogg", 1)
		ScalpelW17 = true
	elseif (selectedObject ~= "Scalpel" and zoomId == "W17_00" and buttonName == "button0") then
		DrawText("Ma2290","Ma2290.ogg",0) -- Je n'y arrive pas !
	elseif (selectedObject == "Pincer" and zoomId == "W17_01" and buttonName == "button0") then
		ShowToolBox("W17_02")
		PlaySound("Sounds/SFX/N_PousserTigeMetal.ogg", 1)
		PincerW17 = true
	elseif (selectedObject ~= "Pincer" and zoomId == "W17_01" and buttonName == "button0") then
		DrawText("Ma2290","Ma2290.ogg",0) -- Je n'y arrive pas !
	elseif (zoomId == "W17_02") then
		ShowPuzzle(2)
		DrawText("Ma2312","Ma2312.ogg") -- Ca aurait été trop simple !
		PlaySound("Sounds/SFX/N_OuvrirMecanismeSerrure.ogg", 1)
		SafeW17 = true
		HideBox()
--------------------------------------------------------------------------------------------- Warp 55
	elseif (zoomId == "W55_02" and buttonName == "button0") then
		PlaySound("Sounds/SFX/N_TournerPage.ogg", 1)
		ShowToolBox("W55_03")	
		MapW55 = true
		AddToBag("C_feuillet_frois")
		SetMarker("ZoomTable" , -1 , 0) 
	elseif (zoomId == "W55_02" and buttonName == "button1") then
		DrawText("Ma1668","Ma1668.ogg") -- &quot;Bien avant que les Romains n'occupent la France, les Celtes, peuple païen venu du nord, prétendaient pouvoir prédire l'avenir…&quot;	
		DrawText("Ma1669","Ma1669.ogg") -- …&quot;On dit qu'ils construisirent de nombreux temples souterrains où se déroulaient des cérémonies obscures durant lesquelles on pratiquait parfois des sacrifices d'animaux et même d'êtres humains.&quot;
		DrawText("Ma1670","Ma1670.ogg",0) -- Philibert s'intéressait donc aux Celtes et à leurs temples. 
		elseif (zoomId == "W55_03" and buttonName == "button0") then
		DrawText("Ma1668","Ma1668.ogg") -- &quot;Bien avant que les Romains n'occupent la France, les Celtes, peuple païen venu du nord, prétendaient pouvoir prédire l'avenir…&quot;	
		DrawText("Ma1669","Ma1669.ogg") -- …&quot;On dit qu'ils construisirent de nombreux temples souterrains où se déroulaient des cérémonies obscures durant lesquelles on pratiquait parfois des sacrifices d'animaux et même d'êtres humains.&quot;
		DrawText("Ma1670","Ma1670.ogg",0) -- Philibert s'intéressait donc aux Celtes et à leurs temples. 
	elseif (zoomId == "W55_00" and buttonName == "button0") then
		DrawText("Ma1665","Ma1665.ogg",0)	
		BloodW55 = true
		SetMarker("ZoomLivres" , -1 , 0) 
	elseif (zoomId == "W55_00" and buttonName == "button1") then
		DrawText("Ma1666","Ma1666.ogg",0) -- Ces livres sont magnifiques, c'est une chance qu'ils ne se soient pas abîmés en tombant.
	elseif (zoomId == "W55_01" and (buttonName == "button0" or buttonName == "button1" or buttonName == "button2")) then
		PlaySound("Sounds/SFX/N_TournerPage.ogg", 1)
		ShowToolBox("W55_04")	
		DrawText("Ma1672","Ma1672.ogg",0)	
		DustW55 = true
		SetMarker("ZoomDust" , -1 , 0) 
--------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------- Warp 51
	elseif (selectedObject == "Pincer" and zoomId == "W51_00" and buttonName == "button0") then
			ShowToolBox("W51_01")
			DrawText("Ma1649","Ma1649.ogg",0) -- Ça confirme ce que j'ai vu dans la bibliothèque. Cette blessure a à peine saigné, elle n'est certainement pas la cause de sa mort.
			BloodW51 = true	
	elseif (zoomId == "W51_00" and buttonName == "button1") then
			ShowToolBox("W51_02")	
			DrawText("Ma1653","Ma1653.ogg",0) -- Seul du poison peut expliquer l'état de sa langue.
			TongueW51 = true
	elseif (zoomId == "W51_01" and buttonName == "button0") then
			ShowToolBox("W51_03")	
			DrawText("Ma1650","Ma1650.ogg",0) -- Si j'avais encore des doutes, les voilà qui s'envolent. Seul du poison peut expliquer l'état de sa langue.
			DrawText("Ma1651","Ma1651.ogg",0) -- Je me demande comment ce détail a pu échapper à Jean-Aimé…
			DrawText("Ma1652","Ma1652.ogg",0) -- Et surtout pourquoi s'est-on donné tant de mal pour faire croire à un accident.
			TongueW51 = true
	elseif (selectedObject == "Pincer" and zoomId == "W51_02" and buttonName == "button0") then
			ShowToolBox("W51_03")	
			DrawText("Ma1649","Ma1649.ogg",0) -- Ça confirme ce que j'ai vu dans la bibliothèque. Cette blessure a à peine saigné, elle n'est certainement pas la cause de sa mort.
			BloodW51 = true
--------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------- Warp 71

---71_00 Tiroir fermé, quatrain caché
	elseif (selectedObject == "Scalpel" and zoomId == "W71_00" and buttonName == "button0") then
			ShowToolBox("W71_01")
			LeatherCutW71 = true
			PlaySound("Sounds/SFX/N_TournerPage.ogg",1)
			DrawText("Ma2291","Ma2291.ogg",0) -- Alors Jean-Aimé, quel est donc ce mystère ?
	elseif (selectedObject ~= "Scalpel" and zoomId == "W71_00" and buttonName == "button0") then
			DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
	elseif (zoomId == "W71_00" and buttonName == "button1") then
			ShowToolBox("W71_03")
			DrawerThemeW71 = true
			PlaySound("Sounds/SFX/N_OuvertureCommode.ogg",1)
---71_01 Tiroir fermé, cuire coupé
	elseif (selectedObject == "Pincer" and zoomId == "W71_01" and buttonName == "button0") then
			AddToBag("C_quatrain")
			RemoveFromBag("C_quatrain")
			SetDiaryPage(11, "Page11")
			QuatrainFoundW71 = true
			ShowToolBox("W71_02")
			DrawText("Ma2289","Ma2289.ogg",0) -- Je ne sais ce qu'il y a sur cette feuille, mais Chavigny s'est donné bien du mal pour la dissimuler.
	elseif (selectedObject ~= "Pincer" and zoomId == "W71_01" and buttonName == "button0") then
			DrawText("Ma2290","Ma2290.ogg",0) -- Je n'y arrive pas !
	elseif (zoomId == "W71_01" and buttonName == "button1") then
			ShowToolBox("W71_04")
			DrawerThemeW71 = true
			PlaySound("Sounds/SFX/N_OuvertureCommode.ogg",1)
---71_02 Tiroir fermé, quatrain ramassé
	elseif (zoomId == "W71_02" and buttonName == "button1") then
			ShowToolBox("W71_05")
			DrawerThemeW71 = true
			PlaySound("Sounds/SFX/N_OuvertureCommode.ogg",1)
---71_03 Tiroir ouvert, quatrain caché
	elseif (selectedObject == "Scalpel" and zoomId == "W71_03" and buttonName == "button0") then
			ShowToolBox("W71_04")
			LeatherCutW71 = true
			PlaySound("Sounds/SFX/N_TournerPage.ogg",1)
			DrawText("Ma2291","Ma2291.ogg",0) -- Alors Jean-Aimé, quel est donc ce mystère ?
	elseif (selectedObject ~= "Scalpel" and zoomId == "W71_03" and buttonName == "button0") then
			DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
	elseif (zoomId == "W71_03" and buttonName == "button1") then
			AddToBag("C_theme_inconnu")
			RemoveFromBag("C_theme_inconnu")
			SetDiaryPage(12, "Page12_01")
			DrawText("Ma2288","Ma2288.ogg",0) -- Un thème astral, intéressant…
			ShowToolBox("W71_06")
			ThemeW71 = true
---71_04 Tiroir ouvert, cuire coupé
	elseif (selectedObject == "Pincer" and zoomId == "W71_04" and buttonName == "button0") then
			AddToBag("C_quatrain")
			RemoveFromBag("C_quatrain")
			SetDiaryPage(11, "Page11")
			QuatrainFoundW71 = true
			ShowToolBox("W71_05")
			DrawText("Ma2289","Ma2289.ogg",0) -- Je ne sais ce qu'il y a sur cette feuille, mais Chavigny s'est donné bien du mal pour la dissimuler.
	elseif (selectedObject ~= "Pincer" and zoomId == "W71_04" and buttonName == "button0") then
			DrawText("Ma2290","Ma2290.ogg",0) -- Je n'y arrive pas !
	elseif (zoomId == "W71_04" and buttonName == "button1") then
			AddToBag("C_theme_inconnu")
			RemoveFromBag("C_theme_inconnu")
			SetDiaryPage(12, "Page12_01")
			DrawText("Ma2288","Ma2288.ogg",0) -- Un thème astral, intéressant…
			ShowToolBox("W71_07")
			ThemeW71 = true
---71_05 Tiroir ouvert, quatrain ramassé
	elseif (zoomId == "W71_05" and buttonName == "button1") then
			AddToBag("C_theme_inconnu")
			RemoveFromBag("C_theme_inconnu")
			SetDiaryPage(12, "Page12_01")
			DrawText("Ma2288","Ma2288.ogg",0) -- Un thème astral, intéressant…
			ShowToolBox("W71_08")
			ThemeW71 = true
---71_06 Thème ramassé, quatrain caché
	elseif (selectedObject == "Scalpel" and zoomId == "W71_06" and buttonName == "button0") then
			ShowToolBox("W71_07")
			LeatherCutW71 = true
			PlaySound("Sounds/SFX/N_TournerPage.ogg",1)
	elseif (selectedObject ~= "Scalpel" and zoomId == "W71_06" and buttonName == "button0") then
			DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
---71_07 Thème ramassé, cuire coupé
	elseif (selectedObject == "Pincer" and zoomId == "W71_07" and buttonName == "button0") then
			AddToBag("C_quatrain")
			RemoveFromBag("C_quatrain")
			SetDiaryPage(11, "Page11")
			QuatrainFoundW71 = true
			ShowToolBox("W71_08")
			DrawText("Ma2289","Ma2289.ogg",0) -- Je ne sais ce qu'il y a sur cette feuille, mais Chavigny s'est donné bien du mal pour la dissimuler.
	elseif (selectedObject ~= "Pincer" and zoomId == "W71_07" and buttonName == "button0") then
			DrawText("Ma2290","Ma2290.ogg",0) -- Je n'y arrive pas !
---71_09 Livre sur bureau
	elseif (zoomId == "W71_09" and buttonName == "button0") then
			W071_Zoom_BOOK_OPENED = true
			ShowToolBox("W71_10")			
	elseif (zoomId == "W71_10" and buttonName == "button0") then
			if not W071_Zoom_PentagramTaken then			
				SetDiaryPage(24, "Page24")
			end
			DrawText("Ma3111", "Ma3111.ogg",0)
			ShowToolBox("W71_11")
			W071_Zoom_PentagramTaken = true -- page 24
	elseif (zoomId == "W71_11" and buttonName == "button0") then
			if not W071_Zoom_ProphecyTaken then
				SetDiaryPage(25, "Page25")
			end
			W071_Zoom_ProphecyTaken = true -- page 25
			DrawText("Ma3112", "Ma3112.ogg",0)
--------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------- Warp 65
	elseif (zoomId == "W65_00" and buttonName == "button0") then
			DrawText("Ma2894","Ma2894.ogg",0) -- Je n'arrive pas à dégager la feuille, ses doigts sont trop rigides.
			DrawText("Ma2895","Ma2895.ogg") -- …&quot; Ils m'ont forcée à être leur complice. Nostradamus, son fils et son assistant ont tout manigancé. Je ne peux pas supporter d'avoir trahi la couronne et je préfère la damnation éternelle plutôt que d'affronter le regard de Catherine&quot;…
			DrawText("Ma2896","Ma2896.ogg",0) -- C'est n'importe quoi ! Mais c'est bien vu. Nous faire accuser est sans doute la meilleure façon que l'assassin ait trouvé pour mener à bien sa sinistre mission. 
			DrawText("Ma2897","Ma2897.ogg",0) -- Je dois à tout prix l'arrêter !
			LetterW65 = true
	elseif (zoomId == "W65_01" and buttonName == "button0") then
			DrawText("Ma2893","Ma2893.ogg",0) -- Encore du poison ! Décidément il faut se méfier de ce que l'on avale ici.
			FaceW65 = true
--------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------- Warp 72
	elseif (zoomId == "W72_00" and buttonName == "button0") then
			DrawText("Ma2517","Ma2517.ogg",0) 
			WoundW72 = true
	elseif (selectedObject ~= "Compass" and zoomId == "W72_00" and buttonName == "button1") then 
			DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant. 
			DrawText("Ma2519","Ma2519.ogg",0) -- J'espère que cette empreinte me permettra de démasquer le meurtrier.
	elseif (selectedObject == "Compass" and zoomId == "W72_00" and buttonName == "button1") then
			DrawText("Ma2520","Ma2520.ogg",0) -- Un peu moins d'un pied du roi. Celui que je cherche a donc des pieds assez petits et doit avoir du sang sous ses chaussures.
			DrawText("Ma2521","Ma2521.ogg",0) -- C'est d'ailleurs étonnant qu'on ne trouve pas de traces alentours. L'assassin a dû se déchausser pour quitter les lieux.
			FootPrintW72 = true
	elseif (zoomId == "W72_00" and buttonName == "button2") then
			DrawText("Ma2515","Ma2515.ogg",0)
			AddToBag("C_lettre")
			ShowToolBox("W72_01")
			LetterW72 = true
			StartAnimationPart("hic1",31,32,-1,false)
			SetMarker("hic1",4,0)
	elseif (zoomId == "W72_01" and buttonName == "button0") then
			DrawText("Ma2517","Ma2517.ogg",0) 
			WoundW72 = true
	elseif (selectedObject ~= "Compass" and zoomId == "W72_01" and buttonName == "button1") then
			DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
			DrawText("Ma2519","Ma2519.ogg",0) -- J'espère que cette empreinte me permettra de démasquer le meurtrier.
	elseif (selectedObject == "Compass" and zoomId == "W72_01" and buttonName == "button1") then
			DrawText("Ma2520","Ma2520.ogg",0) -- Un peu moins d'un pied du roi. Celui que je cherche a donc des pieds assez petits et doit avoir du sang sous ses chaussures.
			DrawText("Ma2521","Ma2521.ogg",0) -- C'est d'ailleurs étonnant qu'on ne trouve pas de traces alentours. L'assassin a dû se déchausser pour quitter les lieux.
			FootPrintW72 = true
			
--------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------- Warp 69
	elseif (zoomId == "W69_00" and buttonName == "button0") then
			DrawText("Ma2640","Ma2640.ogg",0) -- Ses lèvres sont noires. Il a peut-être été victime du même poison que Philibert.
			FaceW69 = true
	elseif (selectedObject == "Compass" and zoomId == "W69_01" and buttonName == "button0") then
			DrawText("Ma2642","Ma2642.ogg",0) -- La taille correspond à celle de l'empreinte. Le moine aurait donc pu se trouver près du garde au moment où il est mort.
			DrawText("Ma2643","Ma2643.ogg",0) -- Pourtant il n'y a pas de sang sur ses chaussures.
			DrawText("Ma2644","Ma2644.ogg",0) -- Et puis même si c'est lui qui a tué le garde, il y a encore un assassin bien en vie qui est à l'œuvre.
			FootW69 = true
	elseif (zoomId == "W69_02" and buttonName == "button0") then
			ShowToolBox("W69_03")
			HandW69 = true
	elseif (zoomId == "W69_03" and buttonName == "button0") then
			DiaryW69 = true
			ShowToolBox("W69_04")
			AddToBag("C_carnet_moine")
	elseif (zoomId == "W69_04" and buttonName == "button0") then
			DrawText("Ma2641","Ma2641.ogg",0) -- C'est sans doute de l'encre.
			FingerW69 = true
	elseif (zoomId == "W69_05") then
			DrawText("Ma3579", "Ma3579.ogg", 0)
			SawDustW69 = true
--------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------- Inventaire
	elseif (selectedObject == "Chisel" and zoomId == "A_perruque_longue_zoom") then
		RemoveFromBag()
		AddToBag("A_perruque_courte")
		AddToBag("A_moustache")
		HairCut = true
		if O_glasses_002 and O_hat_002 and O_boots_017 and O_cesar_cloth_017 and O_shoulder_005 and O_strip_005 then
			AddToBag("A_cesar")
			RemoveFromBag("A_lunettes")
			RemoveFromBag("A_chapeau")
			RemoveFromBag("A_perruque_courte")
			RemoveFromBag("A_moustache")
			RemoveFromBag("A_bottes")
			RemoveFromBag("A_habit_cesar")
			RemoveFromBag("A_bande_tissu")
			RemoveFromBag("A_epaulette")
			DrawText("Ma1005","Ma1005.ogg",0) -- C'est presque parfait. A part peut-être mon teint, on croirait voir César!
			CostumeCesar = true
		end
		ShowToolBox("A_perruque_courte_zoom")
	elseif (zoomId == "C_feuillet_frois_zoom") then
		RemoveFromBag()
		AddToBag("C_plan")
		LibraryMap = true
		ShowToolBox("C_plan_zoom")
		DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant...
	elseif (zoomId == "C_plan_zoom") then
		DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant...
	elseif (selectedObject == "Pencil" and zoomId == "C_note_scribe_zoom") then
		RemoveFromBag()
		AddToBag("C_note_scribe2")
		DrawText("Ma3524","Ma3524.ogg",0) -- Le zodiaque n'est pas complet, pourtant les signes astrologiques des victimes semblent se suivre.
		RealizedZodiacSigns = true
		ShowToolBox("C_note_scribe2_zoom")
	elseif zoomId == "C_note_scribe2_zoom" then
		DrawText("Ma3524","Ma3524.ogg",0) -- Le zodiaque n'est pas complet, pourtant les signes astrologiques des victimes semblent se suivre.
	elseif (selectedObject == "Chisel" and zoomId == "B_mandragore_zoom") then
		RemoveFromBag()
		AddToBag("B_pommes_mandragore")
		AddToBag("B_racine_mandragore")
		MandragoreCut = true
		HideBox()
	elseif (selectedObject == "Chisel" and zoomId == "C_lettre_zoom") then
		RemoveFromBag()
		AddToBag("C_rose")
		Rose = true
		HideBox()
	elseif (selectedObject == "Chisel" and zoomId == "C_petit_paqu_zoom") then
		RemoveFromBag()
		AddToBag("C_petite_tombe")
		AddToBag("C_papier_amp1")
		Tombe = true
		HideBox()
	elseif (zoomId == "C_petite_tombe_zoom") then
		RemoveFromBag("C_petite_tombe")
		AddToBagWithoutNotification("C_petite_pierre")
		if LookAtTomb then
			ShowToolBox("C_petite_pierre_zoom")
		else
			LookAtTomb = true
			DrawText("Ma2797","Ma2797.ogg",0) -- Un instant, on dirait qu'il y a quelque chose écrit au dos de la pierre !
			ShowToolBox("C_petite_pierre_zoom")
			if O_papier_philibert_0071 then
				SetDiaryPage(14, "Page14_03")
			end
		end
	elseif (zoomId == "C_petite_pierre_zoom") then
		RemoveFromBag("C_petite_pierre")
		AddToBagWithoutNotification("C_petite_tombe")
		ShowToolBox("C_petite_tombe_zoom")		
	elseif (selectedObject == "Pincer" and zoomId == "A_fiole_zoom" and buttonName == "button0") then
		RemoveFromBag()
		AddToBag("A_fiole_ambre")
		AddToBag("A_recette_antipeste")
		RemoveFromBag("A_recette_antipeste")
		SetRecipiesPage(5, "Page5")
		Antipeste = true
		ShowToolBox("A_fiole2_zoom")
	elseif (selectedObject ~= "Pincer" and zoomId == "A_fiole_zoom" and buttonName == "button0") then
		DrawText("Ma2290","Ma2290.ogg",0) -- Je n'y arrive pas !
	elseif (selectedObject == "Scalpel" and zoomId == "C_carnet_moine_zoom" and buttonName == "button0") then
		RemoveFromBag()
		AddToBag("C_carnet_moine3")
		AddToBag("C_recette_mort_feinte2")
		AddToBag("C_clef_coffre")
		MonkDiary = true
		ShowToolBox("C_carnet_moine2_zoom")
		DrawText("Ma2849","Ma2849.ogg",0) -- On dirait une recette, mais je ne sais pas de quelle potion il peut s'agir.
	elseif (selectedObject ~= "Scalpel" and zoomId == "C_carnet_moine_zoom" and buttonName == "button0") then
		DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
	elseif (selectedObject == "Scalpel" and zoomId == "C_clef_philibe_zoom" and buttonName == "button0") then
		RemoveFromBag("C_clef_philibe")
		AddToBagWithoutNotification("C_clef_philiber")
		ClefPhilibert = true
		ShowToolBox("C_clef_philiber_zoom")
	elseif (selectedObject == "Scalpel" and zoomId == "C_clef_philiber_zoom" and buttonName == "button0") then
		RemoveFromBag("C_clef_philiber")
		AddToBagWithoutNotification("C_clef_philibe")
		ClefPhilibert = false
		ShowToolBox("C_clef_philibe_zoom")
	elseif (selectedObject == "Scalpel" and zoomId == "C_papier_amp1_zoom" and buttonName == "button0") then
		RemoveFromBag("C_papier_amp1")
		AddToBag("C_papier_amp2")
		ShowToolBox("C_papier_amp2_zoom")
		DrawText("Ma2110","Ma2110.ogg",0) -- Il ne reste plus qu'à reconstituer ce qui a été effacé.
	elseif (selectedObject ~= "Scalpel" and zoomId == "C_papier_amp1_zoom" ) then
		DrawText("Ma2110","Ma2110.ogg",0) -- Le premier chiffre est illisible.
	elseif (selectedObject == "Pencil" and zoomId == "C_papier_amp2_zoom" and buttonName == "button0") then
		RemoveFromBag("C_papier_amp2")
		ShowToolBox("C_papier_amp3_zoom")
		SetDiaryPage(8, "Page8_03")
		PlaySound("Sounds/SFX/N_TournerPage.ogg", 1)
		DrawText("Ma2111","Ma2111.ogg",0) -- Et bien on dirait que j'ai trouvé : AMP 45 !
		AMP45 = true
	elseif (selectedObject ~= "Pencil" and zoomId == "C_papier_amp2_zoom" ) then
		DrawText("Ma2110","Ma2110.ogg",0) -- Il ne reste plus qu'à reconstituer ce qui a été effacé.
	elseif ((zoomId == "C_plan_zoom") or (zoomId == "C_morceau_plan_zoom")) and TOOK_MAP_FRAGMENT_D4 and LibraryMap then
		RemoveFromBag("C_plan")
		RemoveFromBag("C_morceau_plan")
		AddToBag("C_plan2")
		Map = true
		ShowToolBox("C_plan2_zoom")
		DrawText("Ma3535","Ma3535.ogg",0) -- On dirait qu'il existe une pièce cachée dans le scriptorium.
		if D4_InW058 then
			AnimationSetToStart("fec1",false)
			SetMarker("fec1",4,0)
		end
	elseif (zoomId == "C_plan2_zoom") then
		DrawText("Ma3535","Ma3535.ogg",0) -- On dirait qu'il existe une pièce cachée dans le scriptorium.
	elseif (selectedObject == "Wart" and zoomId == "C_sidh_zoom") then
			ShowToolBox("C_runes_zoom")
			RemoveFromBag("C_sidh")
			AddToBagWithoutNotification("C_runes")
			Sidh = true
			if D4_InW159 then
				SetMarker("loc1",4,0)
				SetMarker("lsc1",4,0)
			end
			if D4_InW178 then
				SetMarker("lzc1",4,0)
			end
	elseif (selectedObject ~= "Wart" and zoomId == "C_sidh_zoom") then
		DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
	elseif (zoomId == "C_runes_zoom") then
			ShowToolBox("C_sidh_zoom")
			RemoveFromBag("C_runes")
			AddToBagWithoutNotification("C_sidh")
	elseif (zoomId == "E_amp4_livre_zoom") then
			RemoveFromBag("E_amp4_livre")
			AddToBagWithoutNotification("E_amp4_livre_ouvert")
			ShowToolBox("E_amp4_livre_ouvert_zoom")
			SetDiaryPage(18, "Page18_02")
	elseif (zoomId == "C_Cylindre_zoom" and selectedObject ~= "Wart") then
			RemoveFromBag("C_Cylindre")
			AddToBagWithoutNotification("C_Cylindre_grand")
			ShowToolBox("C_Cylindre_grand_zoom")
--------------------------------------------------------------------------------------------- 
	end
end

function OnToolBoxZoomLoaded(zoomId)

	if zoomId == "C_papier_amp1_zoom" then
		DrawText("Ma2109","Ma2109.ogg",0) -- Le premier chiffre est illisible.
	end

end
